- Qt 6.11
- Qt Core
- C++ Classes
- QFutureWatcher
- Qt 6.11.1 Reference Documentation

# Obsolete Members for QFutureWatcher

The following members of class QFutureWatcher are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` bool | isPaused() const

## Public Slots

`(deprecated)` void | pause()
`(deprecated in 6.6)` void | setPaused(bool paused)
`(deprecated in 6.0)` void | togglePaused()

## Signals

`(deprecated in 6.0)` void | paused()

## Member Function Documentation

### `[deprecated in 6.0]` bool QFutureWatcher::isPaused() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use isSuspending() or isSuspended() instead.

Returns `true` if the asynchronous computation has been paused with the pause() function; otherwise returns `false`.

Be aware that the computation may still be running even though this function returns `true`. See setPaused() for more details. To check if pause actually took effect, use isSuspended() instead.

See also setSuspended(), toggleSuspended(), and isSuspended().

### `[slot, deprecated]` void QFutureWatcher::pause()

This function is deprecated. We strongly advise against using it in new code.

Use suspend() instead.

Pauses the asynchronous computation represented by the future(). This is a convenience method that simply calls setPaused(true).

See also resume().

### `[signal, deprecated in 6.0]` void QFutureWatcher::paused()

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use suspending() instead.

This signal is emitted when the state of the watched future is set to paused.

Note: This signal only informs that pause has been requested. It doesn't indicate that all background operations are stopped. Signals for computations that were in progress at the moment of pausing will still be delivered. To to be informed when pause() actually took effect, use the suspended() signal.

See also setPaused(), setSuspended(), suspend(), and suspended().

### `[slot, deprecated in 6.6]` void QFutureWatcher::setPaused(bool paused)

This function is deprecated since 6.6. We strongly advise against using it in new code.

Use setSuspended() instead.

If paused is true, this function pauses the asynchronous computation represented by the future(). If the computation is already paused, this function does nothing. QFutureWatcher will not immediately stop delivering progress and result ready signals when the future is paused. At the moment of pausing there may still be computations that are in progress and cannot be stopped. Signals for such computations will still be delivered after pause.

If paused is false, this function resumes the asynchronous computation. If the computation was not previously paused, this function does nothing.

Be aware that not all computations can be paused. For example, the QFuture returned by QtConcurrent::run() cannot be paused; but the QFuture returned by QtConcurrent::mappedReduced() can.

See also paused(), suspend(), resume(), and toggleSuspended().

### `[slot, deprecated in 6.0]` void QFutureWatcher::togglePaused()

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use toggleSuspended() instead.

Toggles the paused state of the asynchronous computation. In other words, if the computation is currently paused, calling this function resumes it; if the computation is running, it is paused. This is a convenience method for calling setPaused(!isPaused()).

See also setSuspended(), suspend(), and resume().